module.exports = {
  tableName: 'driverTableCustomPK',
  identity: 'drivercustom',
  connection: 'associations',
  primaryKey: 'number',
  fetchRecordsOnUpdate: true,
  fetchRecordsOnDestroy: false,
  fetchRecordsOnCreate: true,
  fetchRecordsOnCreateEach: true,

  attributes: {
    number: {
      type: 'number',
      required: true,
      autoMigrations: {
        columnType: 'integer',
        unique: true
      }
    },

    name: {
      type: 'string',
      autoMigrations: {
        columnType: 'varchar'
      }
    },

    taxis: {
      collection: 'taxicustom',
      via: 'drivers',
      dominant: true
    },

    // Timestamps

    updatedAt: {
      type: 'number',
      autoUpdatedAt: true,
      autoMigrations: {
        columnType: 'bigint'
      }
    },

    createdAt: {
      type: 'number',
      autoCreatedAt: true,
      autoMigrations: {
        columnType: 'bigint'
      }
    }
  }
};
